org.gradle.platform.base

## Interface LanguageTypeBuilder<T extends LanguageSourceSet>

- Type Parameters:
    `T` - The custom language sourceset type.
  All Superinterfaces:
    TypeBuilder<T>

      @Incubating
      public interface LanguageTypeBuilder<T extends LanguageSourceSet>
      extends TypeBuilder<T>

  Allows a plugin to register a custom language.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `setLanguageName(String languageName)`

    - ### Methods inherited from interface org.gradle.platform.base.TypeBuilder

      `defaultImplementation, internalView`

- - ### Method Detail

    - #### setLanguageName

          void setLanguageName(String languageName)